Sign inGet started

List allow/block rules

GET
/workspaces/{workspaceId}/conversation-allowblock-rules
List allow/block rules. This will return a maximum of 100 rules per page, with 10 as default. You can use the limit and pageToken query parameters to paginate the results. Learn more about pagination in the Common API Usage pagination section.
Parametri di query
limit
integer
pageToken
string
reverse
boolean
type
string
Allow/Block type
Possible values: allow, reject, suspend
category
string
Allow/Block category
Possible values: all, domain, domain_suffix, email
value
string
Allow/Block value
Payload della risposta
nextPageToken
string
The token to fetch the next page of results. If empty, there are no more results to fetch.
results
array of object
obbligatorio
Mostra attributi secondari
results.category
string
obbligatorio
The category of the AllowBlockRule.
Possible values: all, domain, domain_suffix, email
results.createdAt
string
obbligatorio
results.createdBy
string
obbligatorio
results.id
string
obbligatorio
results.type
string
obbligatorio
The type of the AllowBlockRule.
Possible values: allow, reject, suspend
results.updatedAt
string
obbligatorio
results.updatedBy
string
obbligatorio
results.value
string
obbligatorio
results.workspaceId
string
obbligatorio
Esempio di codice
curl -X GET 'https://api.bird.com/workspaces/{workspaceId}/conversation-allowblock-rules' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Esempio di codice
curl "https://api.bird.com/workspaces/e58899bf-1e8d-4ff7-b9db-a60befaf90d2/conversation-allowblock-rules" \
-H "Authorization: AccessKey abcd"
Note: if there are more than 10 allow/block rules, the results may be paginated. Please refer to Pagination on how to use nextPageToken.